import { IExecuteFunctions } from 'n8n-core';
import { ILoadOptionsFunctions, INodeExecutionData, INodeType, INodeTypeDescription } from 'n8n-workflow';
export declare class Cling implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getTemplates(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
            getArticles(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
            getEndCustomers(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: number;
            }[]>;
            getFields(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
