import { IExecuteFunctions } from 'n8n-core';
import { IDataObject, IHookFunctions, ILoadOptionsFunctions } from 'n8n-workflow';
import { LoadedArticles, LoadedField, LoadedResource, LoadedTemplate } from './types';
export declare function clingApiRequest(this: IExecuteFunctions | ILoadOptionsFunctions | IHookFunctions, apiToken: string, method: string, endpoint: string, body?: IDataObject, qs?: IDataObject): Promise<any>;
export declare function clingGetApiToken(this: IExecuteFunctions | ILoadOptionsFunctions | IHookFunctions): Promise<any>;
export declare const templateToOptions: (items: LoadedTemplate[]) => {
    name: string;
    value: string;
}[];
export declare const articlesToOptions: (items: LoadedArticles[]) => {
    name: string;
    value: string;
}[];
export declare const fieldsToOptions: (items: LoadedField[]) => {
    name: string;
    value: string;
}[];
export declare const toOptions: (items: LoadedResource[]) => {
    name: string;
    value: number;
}[];
